package com.iamberry.cms.core.entity;

import java.util.Date;



import com.iamberry.wechat.core.entity.Page;
import com.iamberry.wechat.core.entity.PaperBean;

/**
 * @author Sikandar
 *
 */

public class MilkMakingRecord implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2673681146930650920L;
	private Long id;							//id
	private Integer volume;				//冲奶量
	private String controller;				//冲奶操作单位
	private Integer stars;					//评分等级
	private String comments;			//吐槽
	private String brand;					//品牌
	private Long powderInfo;			//比例
	private String machineName;		//机器名
	private String machine;				//冲奶机
	private Long user;						//用户id
	private Date timestamp;				//冲奶时间
	private Page page;
	private String username;
	public MilkMakingRecord() {
	}

	public MilkMakingRecord(Long id, Integer volume, String controller, Integer stars, String comments, String brand, Long powderInfo,
			String machineName, String machine, Long user, Date timestamp) {
		super();
		this.id = id;
		this.volume = volume;
		this.controller = controller;
		this.stars = stars;
		this.comments = comments;
		this.brand = brand;
		this.powderInfo = powderInfo;
		this.machineName = machineName;
		this.machine = machine;
		this.user = user;
		this.timestamp = timestamp;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getVolume() {
		return volume;
	}

	public void setVolume(Integer volume) {
		this.volume = volume;
	}

	public String getController() {
		return controller;
	}

	public void setController(String controller) {
		this.controller = controller;
	}

	public Integer getStars() {
		return stars;
	}

	public void setStars(Integer stars) {
		this.stars = stars;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	
	public String getMachine() {
		return machine;
	}

	public void setMachine(String machine) {
		this.machine = machine;
	}

	public Long getUser() {
		return user;
	}

	public void setUser(Long user) {
		this.user = user;
	}

	

	public Page getPage() {
		return page;
	}

	public void setPage(Page page) {
		this.page = page;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public Long getPowderInfo() {
		return powderInfo;
	}

	public void setPowderInfo(Long powderInfo) {
		this.powderInfo = powderInfo;
	}

	public String getMachineName() {
		return machineName;
	}

	public void setMachineName(String machineName) {
		this.machineName = machineName;
	}

	public Date getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}
	

}
